@sdmitch said:
@josephkim626 said:
As I am often giving precision 4 to give a rectangular look, im just wondering if there would be a way to rotate the profile 45 degrees. Effectively, having a rectangular tubes.
Yes, but this particular plugin is scrambled so only the creator can make that change.
In the mean time, maybe this will help. You can copy and paste into the Ruby Console to try it out.
mod = Sketchup.active_model
> ent = mod.active_entities
> sel = mod.selection
> unless sel.empty?
> vars=UI.inputbox(["Number of Sides;"," Length of a Side;","Angle of Rotation;"],[4,1,45],"Tube Specifications")
> if vars
> n,l,d=vars
> a=180/n
> r=l/Math.sin(a.degrees)/2
> edgs=sel.grep(Sketchup;;Edge)
> edgs.each{|e|
> p,v=e.line
> grp=ent.add_group;ge=grp.entities
> tube=ge.add_ngon(p,v,r,n)
> face=ge.add_face(tube)
> ent.transform_entities(Geom;;Transformation.rotation(p,v,d.degrees),face)
> face.followme e
> grp.explode
> }
> end
> else
> UI.messagebox "Select Edges"
> end
>
Thank you so much, this helped for me at least this time.
I had to remove "grp.explode" line as I wanted them to be a grouped members.
who is the creator of this plugin? I know it has been tossed around couple times.
(I will still need an option to use "mm" units, follow welded edges as solid)